%define debug_package %{nil}
%undefine _disable_source_fetch

Name:       eg25-manager
Version:    master_%(date +%%Y%%m%%d)
Release:    1%{?dist}
Summary:    A daemon for managing the Quectel EG25 modem found on the Pine64 PinePhone

License:    GPLv3+
URL:        https://gitlab.com/mobian1/devices/eg25-manager/
Source0:    https://gitlab.com/mobian1/devices/eg25-manager/-/archive/master/eg25-manager-master.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  meson

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libgpiod)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(mm-glib)


%description
eg25-manager is a daemon for managing the Quectel EG25 modem found on the Pine64 PinePhone.
It implements the following features:

cleanly power on/off the modem
configure/check essential parameters (such as the audio format) on startup
monitor the modem state through ModemManager
put the modem in low-power mode when suspending the system, and restore it
back to normal behavior when resuming
monitor the modem state on resume and recover it if needed


%prep
%setup -q -n %{name}-master

%build
%meson
%meson_build

%install
%meson_install

%files

%{_bindir}/eg25manager

%doc README.md
%license COPYING

%changelog
* Sat Feb 20 2021 Subsentient <subsentient@universe2.us> - master
- Make us build from git/master

* Thu Dec 17 2020 Torrey Sorensen <sorensentor@tuta.io> - 0.1.1-1
- Initial packaging
